#include<iostream>
#include<cmath>
using namespace std;

double f(int k)
{
	double b=0;
	if(k==2)
		b=1.0/2.0;
	for(int j=2;j<k;j++)
	{
		if(k%j==0)
			break;
		if(j==k-1)
		{
			b=1/double(k);
		}
	}
	return b;
}

int main()
{
	int n;
	cin>>n;
	double c=0,sum=0;
	for(int i=1;i<=n;i++)
	{
		c=f(i);
		sum=sum+c;
	} 
	cout<<sum;
	
	
	return 0;
}
